> For the complete documentation index, see [llms.txt](https://docs.settlers-united.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.settlers-united.com/s4-lua-api-de/su-library-functions/su.buildings/su.buildings.getbuildingsinarea.md).

# SU.Buildings.GetBuildingsInArea

## SU.Buildings.GetBuildingsInArea(playerId, buildingType, x, y, radius)

Gibt die Entity-Ids der Gebäude im gegebenen Bereich zurück.

Ist eine auf Gebäude limitierte Version von [SU.Entity.GetEntitiesInArea](/s4-lua-api-de/su-library-functions/su.entity/su.entity.getentitiesinarea.md).

#### Parameter

* `playerId`: ID des Spielers (1-8), Index 0 ungültig, -1 wenn keine Spieler gefiltert werden sollen
* `buildingType`: ID des Gebäude-Typs (siehe [Enum-Tabelle](/s4-lua-api-de/api-enums/buildings.md)), -1 wenn keine Gebäude-Typen gefiltert werden sollen
* `x`: x-Koordinate des Bereichs
* `y`: y-Koordinate des Bereichs
* `radius`: Radius des Bereichs

#### Rückgabewerte

* 1\. `lua-table` (Entity-IDs): Eine Lua-Tabelle der gefundenen Gebäude-IDs.
* 2\. `number` (Anzahl): Die Gesamtzahl der gefundenen Gebäude.
* **WICHTIG**: In Lua müssen **ALLE Rückgabewerte** explizit **Variablen zugewiesen werden**. Wird nur ein Wert (oder gar keiner) entgegengenommen, führt dies **beim Verlassen** der Karte oft zum **Absturz des Spiels**. Dies gilt für alle Funktionen.

#### Beispiel

<pre class="language-lua"><code class="lang-lua">local buildings, numBuildings = SU.Buildings.GetBuildingsInArea(playerId, buildingType, x, y, radius)

local buildings, numBuildings = SU.Buildings.GetBuildingsInArea(-1, -1, 115, 70, 10)
<strong>-- Alle Gebäude bei 115/70 im Radius von 10
</strong>if numBuildings > 0 then
    dbg.stm(numBuildings) -- Anzahl der Gebäude
    dbg.stm(buildings[1]) -- Erster Eintrag der Id Liste
end
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.settlers-united.com/s4-lua-api-de/su-library-functions/su.buildings/su.buildings.getbuildingsinarea.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
